Bug 798367 - mock has SCM plugin but doesn't pull dependencies (ex: git)
mock has SCM plugin but doesn't pull dependencies (ex: git)
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mock (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 13:12 EST by Nelson Marques
Modified: 2013-05-04 22:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-03 21:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Separate SCM module into its own subpackage (2.01 KB, patch)
2012-06-11 05:07 EDT, Marko Myllynen
no flags Details | Diff

  None (edit)
Description Nelson Marques 2012-02-28 13:12:18 EST
Description of problem:
Mock as a very good SCM plugin to pull sources from SCMs (ex: svn) but the dependencies for the supported SCMs have to be installed previously or after.
It would be a good improvement if we could have dependencies on the SCM plugins.

This raises another issues:

 * Would most users benefit from this change?
   -- probably not and they would get a few dependencies installed
 * Would splitting the plugin into a sub-package help?
   -- if it's technically possible, would be great to have all the dependencies 
      attached to this sub package.


Version-Release number of selected component (if applicable):
Name        : mock                 Relocations: (not relocatable)
Version     : 1.0.25               Vendor: Fedora Project
Release     : 1.el5                Build Date: Sun 27 Nov 2011 11:36:57 PM WET
Comment 1 Clark Williams 2012-06-07 16:13:57 EDT
Well, Marko did all the heavy lifting on the SCM plugin. Let's see what he has to say about it.
Comment 2 Marko Myllynen 2012-06-11 05:07:54 EDT
Created attachment 590865 [details]
Separate SCM module into its own subpackage

Technically it's easy to separate the SCM module into its own subpackage and make it depend on all the possibly needed commands, see the attachment.

Although it will cause a small one-time inconvenience for the current mock/scm users perhaps it might be the right thing to do. But I'll leave it up to Clark to make the final call.
Comment 3 Clark Williams 2012-08-23 16:28:55 EDT
(In reply to comment #2)
> Created attachment 590865 [details]
> Separate SCM module into its own subpackage
> 
> Technically it's easy to separate the SCM module into its own subpackage and
> make it depend on all the possibly needed commands, see the attachment.
> 
> Although it will cause a small one-time inconvenience for the current
> mock/scm users perhaps it might be the right thing to do. But I'll leave it
> up to Clark to make the final call.

I posted to buidsys@lists.fedoraproject.org to take a poll and see if anyone really objects to creating mock-scm. I'll give it a few days and if no major objections come up, we'll do it.
Comment 4 Clark Williams 2013-04-12 14:51:57 EDT
I've applied Marko's patch and pushed the scm code into a sub-package which pulls in the supported scm pacakges.

should be in the 1.1.31 update
Comment 5 Fedora Update System 2013-04-16 13:34:31 EDT
mock-1.1.31-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc19
Comment 6 Fedora Update System 2013-04-16 13:35:31 EDT
mock-1.1.31-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc17
Comment 7 Fedora Update System 2013-04-16 13:36:28 EDT
mock-1.1.31-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.el6
Comment 8 Fedora Update System 2013-04-16 13:37:22 EDT
mock-1.1.31-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc18
Comment 9 Fedora Update System 2013-04-17 12:22:06 EDT
Package mock-1.1.31-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.31-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5858/mock-1.1.31-1.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-04-18 16:27:51 EDT
mock-1.1.32-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc17
Comment 11 Fedora Update System 2013-04-18 16:29:04 EDT
mock-1.1.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc18
Comment 12 Fedora Update System 2013-04-18 16:30:30 EDT
mock-1.1.32-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.el6
Comment 13 Fedora Update System 2013-04-18 16:31:53 EDT
mock-1.1.32-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc19
Comment 14 Fedora Update System 2013-05-03 21:40:59 EDT
mock-1.1.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-05-04 22:28:55 EDT
mock-1.1.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-05-04 22:30:02 EDT
mock-1.1.32-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.